#region Using declarations
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Input;
using System.Windows.Media;
using System.Xml.Serialization;
using NinjaTrader.Cbi;
using NinjaTrader.Gui;
using NinjaTrader.Gui.Chart;
using NinjaTrader.Gui.SuperDom;
using NinjaTrader.Gui.Tools;
using NinjaTrader.Data;
using NinjaTrader.NinjaScript;
using NinjaTrader.Core.FloatingPoint;

#endregion



#region NinjaScript generated code. Neither change nor remove.

namespace NinjaTrader.NinjaScript.Indicators
{
	public partial class Indicator : NinjaTrader.Gui.NinjaScript.IndicatorRenderBase
	{
		
		private DeltaCandles[] cacheDeltaCandles;

		
		public DeltaCandles DeltaCandles()
		{
			return DeltaCandles(Input);
		}


		
		public DeltaCandles DeltaCandles(ISeries<double> input)
		{
			if (cacheDeltaCandles != null)
				for (int idx = 0; idx < cacheDeltaCandles.Length; idx++)
					if ( cacheDeltaCandles[idx].EqualsInput(input))
						return cacheDeltaCandles[idx];
			return CacheIndicator<DeltaCandles>(new DeltaCandles(), input, ref cacheDeltaCandles);
		}

	}
}

namespace NinjaTrader.NinjaScript.MarketAnalyzerColumns
{
	public partial class MarketAnalyzerColumn : MarketAnalyzerColumnBase
	{
		
		public Indicators.DeltaCandles DeltaCandles()
		{
			return indicator.DeltaCandles(Input);
		}


		
		public Indicators.DeltaCandles DeltaCandles(ISeries<double> input )
		{
			return indicator.DeltaCandles(input);
		}
	
	}
}

namespace NinjaTrader.NinjaScript.Strategies
{
	public partial class Strategy : NinjaTrader.Gui.NinjaScript.StrategyRenderBase
	{
		
		public Indicators.DeltaCandles DeltaCandles()
		{
			return indicator.DeltaCandles(Input);
		}


		
		public Indicators.DeltaCandles DeltaCandles(ISeries<double> input )
		{
			return indicator.DeltaCandles(input);
		}

	}
}

#endregion
